.hero_home-layout {
    position: relative;
    padding-inline: 0;
    height: calc(100vh - 50px);
    margin-bottom: 100px;
    overflow: hidden;
}

.hero_home-layout
    .hero-carousel-wrapper
    .hero_home-layout
    .hero-carousel-wrapper
    .swiper,
.hero_home-layout .hero-carousel-wrapper .swiper-slide {
    height: 100%;
}

.hero_home-layout .hero-carousel-wrapper,
.hero_home-layout .swiper,
.hero_home-layout .swiper-container,
.hero_home-layout .pk-row {
    height: 100%;
}

.hero_home-layout .pk-row {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
    z-index: 1;
}

.hero_home-layout .swiper-slide {
    padding-inline: 20px;
}

.hero_home-layout .swiper-slide.with-overlay::before {
    content: "";
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    background: linear-gradient(
        90deg,
        rgba(0, 0, 0, 0) 0%,
        rgba(0, 0, 0, 0.6) 100%
    );
    z-index: 1;
}

.hero_home-layout .swiper-slide.with-overlay,
.hero_home-layout .swiper-slide.with-overlay .pk-heading {
    color: var(--pk-white);
}

.hero_home-layout .swiper-slide .pk-heading {
    font-size: var(--heading-3xl);
    font-weight: 500;
}

.hero_home-layout .swiper-slide .pk-text p {
    font-size: 22px;
    line-height: 1.273;
    font-weight: 500;
}

.hero_home-layout .swiper-slide .pk-button {
    display: flex;
    align-items: center;
    gap: 10px;
    text-decoration: none;
    padding: 0;
    background: none;
    transition: opacity 0.5s ease-in-out;
}

.hero_home-layout .swiper-slide .pk-button-text {
    font-size: 16px;
    color: var(--pk-primary-blue);
    display: flex;
    align-items: center;
	flex-shrink: 0;
    height: 100%;
    padding: 10px 20px;
    background: var(--pk-white);
    transition: background-color 0.3s ease;
}

.hero_home-layout .swiper-slide .pk-button::after {
    content: "\f8ce";
    font-family: "Material Symbols outlined";
    font-size: 24px;
    display: flex;
	flex-shrink: 0;
    justify-content: center;
    align-items: center;
    width: 48px;
    height: 48px;
    border-radius: 999px;
    background: var(--pk-white);
    transition:
        background-color 0.3s ease,
        transform 0.3s ease-in-out;
}

.hero_home-layout .swiper-slide .pk-button-text:hover {
    background: var(--pk-blue-2);
}

.hero_home-layout .swiper-slide .pk-button:hover::after {
    background: var(--pk-blue-2);
    transform: rotate(45deg);
}

.hero_home-layout .swiper-slide img {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.hero-image-desktop,
.hero-image-mobile {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
}

.hero-image-desktop {
    display: block;
}

.hero-image-mobile {
    display: none;
}

@media screen and (max-width: 768px) {
    .hero-image-desktop {
        display: none;
    }

    .hero-image-mobile {
        display: block;
    }
}

/* SHAPES */
.hero_home-layout .hero-shape {
    position: absolute;
    max-width: fit-content;
    max-height: fit-content;
    background: #373ce6;
    z-index: 5;
}

.hero_home-layout .hero-shape-1 {
    top: 19%;
    left: 0;
}

.hero_home-layout .hero-shape-2 {
    right: 0;
    bottom: 35%;
}

.hero_home-layout .hero-shape-3 {
    left: 35%;
    bottom: 12%;
}

@media screen and (max-width: 640px) {
	.hero_home-layout .hero-shape-1{
		left: -40px;
	}

	.hero_home-layout .hero-shape-2{
		right: -150px;
	}

    .hero_home-layout .pk-heading-wrap {
        margin-top: 50px;
    }

    .hero_home-layout .pk-heading-wrap,
    .hero_home-layout .pk-text {
        max-width: 250px;
    }
}
@media screen and (max-width: 768px) {
    .hero_home-layout {
        height: calc(100vh - 150px);
        margin-bottom: 60px;
    }
}

@media screen and (max-width: 990px) {
    .hero_home-layout .hero-shape-2 {
        /* right: 0; */
        bottom: 8%;
    }
    .hero_home-layout .hero-shape-3 {
        display: none;
    }
}

@media screen and (min-width: 990px) {
    .hero_home-layout .swiper-slide .pk-heading {
        font-size: var(--heading-3xl);
        line-height: 83px;
        font-weight: 500;
    }
}
